.dynamic-chat-field{
    color: white;
    font-size: 14px;
    
    .title-section{
        padding: 5px 0;
        border-left: 3px solid goldenrod;
        background-color: rgba(255,215,0,0.1);
        .circle-shadow {
            margin-top: 3px;
            width: 65%;
            border-radius: 200px;
            box-shadow: 0px 0px 0px 5px #2296cf;
            -webkit-transition: all 0.5s;
            -moz-transition: all 0.5s;
            transition: all 0.5s;
        }
    
        .circle-shadow:hover,img.circle:hover {
            border-radius: 0;
            box-shadow: none;
        }

        .badge-info{
            font-weight: 700;
            font-family: 'Kalam';
            position: relative;
            top: -3px;
        }

        .circle-shadow-2{
            margin-top: .5rem;
            margin-left: 1rem;
            width: 35px;
            height: 35px;
            border-radius: 200px;
            box-shadow: 0px 0px 0px 5px #2296cf;
            -webkit-transition: all 0.5s;
            -moz-transition: all 0.5s;
            transition: all 0.5s;
        }
    }

    .dynamic-message-wrapper{
        overflow-y: auto;
        overflow-x: hidden;
        height: 57.5vh;
        position: relative;
        .dynamic-message{
            padding: 5px 0;
        }

        .justify-content-start{
            .card{
                background-color: transparent;
                .card-body{
                    padding: 0;
                    padding-bottom: .25rem;
                }
            }
        }

        .user-reply{
            padding-bottom: 10px;

            p{
                font-weight: bold;
                font-size: 14px;
                margin-bottom: 0;
            }
        }
    }
    
    .dynamic-user-options{
        .select-option{
            left: 28.33em;
            right: 28.33em;
            bottom: 8em;

            .list-group-item{
                background-color: rgba(55, 65, 80, 1);
                padding: 7px 5px;
                color: white;

                &:hover{
                    background-color: rgb(93, 93, 99);
                }
            }
        }
    }

    .typing-animation{
        // position: absolute;
        // bottom: 7rem;
        .typing{
            margin-bottom: 0 !important;
        }

        .typing-time{
            color: #9880ff;
            font-family: "Kalam";
        }
        
        .dot-pulse {
            position: relative;
            left: -9999px;
            width: 10px;
            height: 10px;
            border-radius: 5px;
            background-color: #9880ff;
            color: #9880ff;
            box-shadow: 9999px 0 0 -5px #9880ff;
            animation: dotPulse 1.5s infinite linear;
            animation-delay: .25s;
            margin-left: 25px;
            top: 6px;
        }
        
        .dot-pulse::before, .dot-pulse::after {
            content: '';
            display: inline-block;
            position: absolute;
            top: 0;
            width: 10px;
            height: 10px;
            border-radius: 5px;
            background-color: #9880ff;
            color: #9880ff;
        }
        
        .dot-pulse::before {
            box-shadow: 9984px 0 0 -5px #9880ff;
            animation: dotPulseBefore 1.5s infinite linear;
            animation-delay: 0s;
        }
        
        .dot-pulse::after {
            box-shadow: 10014px 0 0 -5px #9880ff;
            animation: dotPulseAfter 1.5s infinite linear;
            animation-delay: .5s;
        }
        
        @keyframes dotPulseBefore {
            0% {
            box-shadow: 9984px 0 0 -5px #9880ff;
            }
            30% {
            box-shadow: 9984px 0 0 2px #9880ff;
            }
            60%,
            100% {
            box-shadow: 9984px 0 0 -5px #9880ff;
            }
        }
        
        @keyframes dotPulse {
            0% {
            box-shadow: 9999px 0 0 -5px #9880ff;
            }
            30% {
            box-shadow: 9999px 0 0 2px #9880ff;
            }
            60%,
            100% {
            box-shadow: 9999px 0 0 -5px #9880ff;
            }
        }
        
        @keyframes dotPulseAfter {
            0% {
            box-shadow: 10014px 0 0 -5px #9880ff;
            }
            30% {
            box-shadow: 10014px 0 0 2px #9880ff;
            }
            60%,
            100% {
            box-shadow: 10014px 0 0 -5px #9880ff;
            }
        }
    }

    .sound-icon{
        .s-icon{
            color: white;
            font-size: 1.7rem;    
            float: right;
        }
    }
}

::webkit-scrollbar-thumb{
	border-radius: 10px;
	background-image: -webkit-gradient(linear,
									   left bottom,
									   left top,
									   color-stop(0.44, rgb(122,153,217)),
									   color-stop(0.72, rgb(73,125,189)),
									   color-stop(0.86, rgb(28,58,148)));
}

.center {
    margin: auto;
}

// Large devices (desktops, less than 1200px)
@media (max-width: 1199.98px){

}

// Medium devices (tablets, less than 992px)
@media (max-width: 991.98px){
    .dynamic-chat-field{
        color: white;
        font-size: 14px;
        
        .title-section{
            .circle-shadow {
                margin-top: .6rem;
                width: 100%;
            }
            
            .col-md-1{
                padding-right: 15px !important;
            }

            .user_reply{
                padding-left: 20px !important;
            }
        }

        .typing-animation{
            .col-typing-wrapper{
                margin-top: 4px;
            }
        }
    }
}

// Small devices (landscape phones, less than 768px)
@media (max-width: 767.98px){
    .dynamic-chat-field{
        color: white;
        font-size: 14px;
        
        .title-section{
            .circle-shadow {
                margin-top: 3px;
                width: 68%;
            }

            .user_reply{
                padding-left: 20px !important;
            }
        }

        .typing-animation{
            .col-typing-wrapper{
                margin-top: 4px;
            }
        }

        .title-left{
            padding-right: 0;
            h4{
                font-size: 1.2rem;
            }
        }

        .title-mid{
            .center{
                float: left !important;
            }
        }
    }
}

// Extra small devices (portrait phones, less than 576px)
@media (max-width: 575.98px){
    .dynamic-chat-field{
        .title-left{
            h4{
                font-size: 1.1rem;
            }
        }

        .title-section{
            .circle-shadow {
                margin-top: 3px;
                width: 99%;
            }
        }

       .d-block, .d-sm-none{
            .typing-xs{
                height: 20px;
            }
       }

       .top-title{
           margin-top: 2.7rem;
       }

       .dynamic-message-wrapper{
           padding-left: 10px;
           padding-right: 10px;
       }
    }
}